<?php
require_once '../config/conexion.php';

class PersonalSeguridad {
    private $db;
    public function __construct() {
        $this->db = (new Connection())->open();
    }

    public function getAll() {
        return $this->db->query("SELECT * FROM personal_seguridad ORDER BY id DESC")->fetchAll(PDO::FETCH_ASSOC);
    }

    public function insert($data) {
        $sql = "INSERT INTO personal_seguridad (nro_documento, nombre_completo, cargo, turno, nro_celular, fecha_ingreso, estado)
                VALUES (:nro_documento, :nombre_completo, :cargo, :turno, :nro_celular, :fecha_ingreso, :estado)";
        $stmt = $this->db->prepare($sql);
        return $stmt->execute($data);
    }
}
